Squadcast is now SolarWinds Incident Response
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Incidents/Postmortems

Get All Postmortems

get
/v3/incidents/postmortem
  • This endpoint is used to get all postmortems.

  • Requires access_token as a Bearer {{token}} in the Authorization header.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
fromDatestringRequired

Provide date in RFC3339 format

toDatestringRequired

Provide date in RFC3339 format

owner_idstringRequired

Here owner_id represents team_id

limitintegerRequired
Responses
200

The request has succeeded.

application/json
get/v3/incidents/postmortem
GET /v3/incidents/postmortem?fromDate=text&toDate=text&owner_id=text&limit=1 HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "data": [
    {
      "result": [
        {
          "id": "text",
          "organization_id": "text",
          "incident_id": "text",
          "postmortem": "text",
          "follow_ups": [
            {
              "task": "text",
              "is_done": true
            }
          ],
          "created_at": "text",
          "title": "text",
          "status": "in_progress",
          "owner": {
            "id": "text",
            "type": "team"
          },
          "access_control": [
            {
              "user_id": "text",
              "abilities": {}
            }
          ],
          "attachments": [
            "text"
          ],
          "incident": {
            "message": "text",
            "time_of_creation": "text"
          },
          "incident_message": "text",
          "incident_time_of_creation": "text",
          "service_name": "text",
          "service_id": "text",
          "alert_source": "text",
          "active_follow_ups_count": 1
        }
      ],
      "total_count": [
        {
          "count": 1
        }
      ]
    }
  ]
}

Get Postmortem By Incident

get
/v3/incidents/{incidentID}/postmortem
  • This endpoint is used to get a postmortem by incident.

  • Requires access_token as a Bearer {{token}} in the Authorization header.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
incidentIDstringRequired
Responses
200

The request has succeeded.

application/json
get/v3/incidents/{incidentID}/postmortem
GET /v3/incidents/{incidentID}/postmortem HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "data": {
    "id": "text",
    "organization_id": "text",
    "incident_id": "text",
    "postmortem": "text",
    "follow_ups": [
      {
        "task": "text",
        "is_done": true
      }
    ],
    "created_at": "text",
    "title": "text",
    "status": "in_progress",
    "owner": {
      "id": "text",
      "type": "team"
    },
    "access_control": [
      {
        "user_id": "text",
        "abilities": {}
      }
    ],
    "attachments": [
      "text"
    ],
    "incident": {
      "message": "text",
      "time_of_creation": "text"
    }
  }
}

Create Postmortem

post
/v3/incidents/{incidentID}/postmortem
  • This endpoint is used to create a postmortem.

  • Requires access_token as a Bearer {{token}} in the Authorization header.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
incidentIDstringRequired
Body

Request body for creating a new postmortem.

owner_idstringRequired
titlestringRequired
postmortemstringRequired
statusstring · enumRequired

Represents the status of a postmortem.

Possible values:
Responses
201

The request has succeeded and a new resource has been created as a result.

application/json
post/v3/incidents/{incidentID}/postmortem
POST /v3/incidents/{incidentID}/postmortem HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 192

{
  "owner_id": "text",
  "title": "text",
  "postmortem": "text",
  "status": "in_progress",
  "follow_ups": [
    {
      "task": "text",
      "is_done": true
    }
  ],
  "attachments": [
    {
      "key": "text",
      "mime_type": "text",
      "file_size": "text"
    }
  ]
}
{
  "data": {
    "id": "text",
    "organization_id": "text",
    "incident_id": "text",
    "postmortem": "text",
    "follow_ups": [
      {
        "task": "text",
        "is_done": true
      }
    ],
    "created_at": "text",
    "title": "text",
    "status": "in_progress",
    "owner": {
      "id": "text",
      "type": "team"
    },
    "access_control": [
      {
        "user_id": "text",
        "abilities": {}
      }
    ],
    "attachments": [
      "text"
    ],
    "incident": {
      "message": "text",
      "time_of_creation": "text"
    }
  }
}

Update Postmortem By Incident

put
/v3/incidents/{incidentID}/postmortem
  • This endpoint is used to update a postmortem by incident.

  • Requires access_token as a Bearer {{token}} in the Authorization header.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
incidentIDstringRequired
Body

Request body for updating an existing postmortem.

owner_idstringOptional
postmortemstringOptional
titlestringOptional
statusstring · enumOptional

Represents the status of a postmortem.

Possible values:
Responses
200

The request has succeeded.

application/json
put/v3/incidents/{incidentID}/postmortem
PUT /v3/incidents/{incidentID}/postmortem HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 196

{
  "owner_id": "text",
  "postmortem": "text",
  "follow_ups": [
    {
      "task": "text",
      "is_done": true
    }
  ],
  "new_attachments": [
    {
      "key": "text",
      "mime_type": "text",
      "file_size": "text"
    }
  ],
  "title": "text",
  "status": "in_progress"
}
{
  "data": {
    "id": "text",
    "organization_id": "text",
    "incident_id": "text",
    "postmortem": "text",
    "follow_ups": [
      {
        "task": "text",
        "is_done": true
      }
    ],
    "created_at": "text",
    "title": "text",
    "status": "in_progress",
    "owner": {
      "id": "text",
      "type": "team"
    },
    "access_control": [
      {
        "user_id": "text",
        "abilities": {}
      }
    ],
    "attachments": [
      "text"
    ],
    "incident": {
      "message": "text",
      "time_of_creation": "text"
    }
  }
}

Delete Postmortem By Incident

delete
/v3/incidents/{incidentID}/postmortem
  • This endpoint is used to delete a postmortem by incident.

  • Requires access_token as a Bearer {{token}} in the Authorization header.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
incidentIDstringRequired
Responses
200

The request has succeeded.

application/json
delete/v3/incidents/{incidentID}/postmortem
DELETE /v3/incidents/{incidentID}/postmortem HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "data": {
    "id": "text",
    "organization_id": "text",
    "incident_id": "text",
    "postmortem": "text",
    "follow_ups": [
      {
        "task": "text",
        "is_done": true
      }
    ],
    "created_at": "text",
    "title": "text",
    "status": "in_progress",
    "owner": {
      "id": "text",
      "type": "team"
    },
    "access_control": [
      {
        "user_id": "text",
        "abilities": {}
      }
    ],
    "attachments": [
      "text"
    ],
    "incident": {
      "message": "text",
      "time_of_creation": "text"
    }
  }
}

Last updated